Personal tools
You are here: Home Forum Use Salome [6.5.0] bug: Cannot create arc with 3 co-linear points!

Salome [6.5.0] bug: Cannot create arc with 3 co-linear points!

Up to Use

Salome [6.5.0] bug: Cannot create arc with 3 co-linear points!

Posted by JMB at August 29. 2012

Hello developers,

It seems that Salome 6.5.0 has regressed!  Try the following in a GUI:

Vertex_1 = geompy.MakeVertex(100, 0, 0)
Vertex_2 = geompy.MakeVertex(100, 10, 0)
Vertex_3 = geompy.MakeVertex(100, 20, 0)

Then using the GUI try to create an arc using Vertex_2 as the center and the 2 other points as the start and end of the arc.  Salome 6.5.0 fails with an error complaining that all 3 points are co-linear.  Neither available icon (method) works.  I believe (although I have not gone back to testing with older Salome code) that one should be able to draw a semi-circle with a radius of 10.

Mathematically, there are two possible solutions to the problem.  I am expecting it to give me at least one answer, based on which vertex is chosen as the starting point and the second possible solution if I chose the other vertex.

Is anybody testing the newer Salome code for basic functionality at the 2D entity creation level?  This seems to be an ongoing fundamental oversight in the code development process...

JMB

Re: Salome [6.5.0] bug: Cannot create arc with 3 co-linear points!

Posted by Vadim SANDLER at August 29. 2012

Hello JMB,

Indeed,  this is NOT a regression - the same result is obtained on SALOME 6.4.0, 6.3.1, 5.1.6 (previous versions have not been checked, but most likely the result would be the same).

Actually, in this specific case - when all three points lay on the same line - there are infinit number of solutions, not only two.

Regards,
Vadim.

Re: Salome [6.5.0] bug: Cannot create arc with 3 co-linear points!

Posted by Vadim SANDLER at August 29. 2012

Hello JMB,

To obtain required result, you can use MakeSketcher() functionality.

Regards,
Vadim.

Re: Salome [6.5.0] bug: Cannot create arc with 3 co-linear points!

Posted by JMB at August 30. 2012

Previously Vadim SANDLER wrote:

Actually, in this specific case - when all three points lay on the same line - there are infinit number of solutions, not only two.

Regards,
Vadim.

Hello Vadim SANDLER,

You are ABSOLUTELY RIGHT, there are an infinite number of solutions.  The problem with using a sketcher is:

1. Once one dumps the study from a sketcher GUI session, it is more complicated to convert it to a parametric type python script.

2. Or I do not know how to do (1), since the sketcher's output is all in string format.

So I tried the sketcher and abandoned it.  Thanks for the reply and refreshing my analytical geometry theory!

Regards, JMB

 

 

 

Powered by Ploneboard
Document Actions